Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Blöcke umwandeln 2D > 3D

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Blöcke umwandeln 2D > 3D (2278 mal gelesen)
Domo91
Mitglied
Technische Zeichnerin

Sehen Sie sich das Profil von Domo91 an!   Senden Sie eine Private Message an Domo91  Schreiben Sie einen Gästebucheintrag für Domo91

Beiträge: 5
Registriert: 30.08.2012

AutoCAD Architecture 2012

erstellt am: 28. Feb. 2014 10:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Tisch.JPG

 
Hallo!

Bisher bin ich mit der Suche bei meinem Problem nie erfolgreich gewesen, jetzt versuch ichs so mal:
Ich zeichne die Einrichtung von Laboratorien und das in AutoCAD Architecture 2012. Wir haben für alle Möbel die wir brauchen ein 3D Objekt erstellt, in welchen sich auch immer die 2D Ansicht befindet. Sie werden via Einfügen>Block in die Zeichnung gebracht. Nun ist es aber so, das wir, wenn wir unsere Zeichnungen an den Architekten schicken, ihm nicht unsere 3D Körper aushändigen wollen > das hat zur Folge das man alle Blöcke sprengen muss und die Volumenkörper dann löscht.
Jetzt wollen wir am liebsten, dass man z.B. in 2D mit Blöcken zeichnet, diese aber einfach und schnell in 3D umwandeln kann, ohne das wir zum Verschicken erst alles auflösen müssen.
Im Anhang mal ein Bild von einem Tisch, das Rechteck auf dem Boden ist der 2D Layer, zum Plotten wird der 3D Layer aus- oder eingeblendet. Die Kugel ist der Einfügepunkt und liegt auf Deftpoints.

VG Sylvie

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bbernd
Mitglied
Technischer Zeichner / Zimmerermeister


Sehen Sie sich das Profil von bbernd an!   Senden Sie eine Private Message an bbernd  Schreiben Sie einen Gästebucheintrag für bbernd

Beiträge: 1324
Registriert: 20.02.2009

AutoCAD -2020
Gimp 2.10
TurboCAD 17
DraftSight 2D
Windows7 Ent 64bit
16 GB Arbeitsspeicher
NVIDIA Quadro M2000

erstellt am: 28. Feb. 2014 10:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Domo91 10 Unities + Antwort hilfreich


2DAbflach.dwg

 
Hallo Sylvie,
Willkommen bei Cad.de.

Wir zeichnen auch 3D, für die Weitergabe mache ich mit ABFLACH 2D Ansichten.
Diese lege ich in den Grundriss und bemaße diese.

------------------
Gruß Bernd

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 28. Feb. 2014 10:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Domo91 10 Unities + Antwort hilfreich

Ansonsten, wenn man den Ansatz von Domo91 weiterverfolgen möchte:

Einmal eine Bibliothek an Blöcken welche den normalen Aufbau haben (wie jetzt)
und parallel dazu eine Bibliothek mit den gleichen Blöcken(Blocknamen), welche aber nur die 2D Kontur enthält.

Die 2D Biblio kann man schnell und einfach aus den Originalblöcken ge´nereieren (keine Handarbeit)
und das austauschen bekommt man auch ganz einfach hin.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kramer24
Ehrenmitglied V.I.P. h.c.
Architekt


Sehen Sie sich das Profil von Kramer24 an!   Senden Sie eine Private Message an Kramer24  Schreiben Sie einen Gästebucheintrag für Kramer24

Beiträge: 5789
Registriert: 09.11.2001

erstellt am: 28. Feb. 2014 10:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Domo91 10 Unities + Antwort hilfreich

Hallo Sylvie,

du bist hier fast im richtigen Forum. Hier ist es richtiger  .

Es gibt ein tolles, mächtiges Werkzeug in ACA. Der MV-Block. MV für Multiview. In diesem Objekt werden alle Ansichten zusammengesetzt. Beim Export kannst du dann die Blöcke platt machen.
Du hast in deiner Software einen Katalog-Browser, Strg. + 4. Da sind Möbel drin, schaue es dir mal an.

Lothar

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Domo91
Mitglied
Technische Zeichnerin

Sehen Sie sich das Profil von Domo91 an!   Senden Sie eine Private Message an Domo91  Schreiben Sie einen Gästebucheintrag für Domo91

Beiträge: 5
Registriert: 30.08.2012

AutoCAD Architecture 2012

erstellt am: 28. Feb. 2014 10:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Waschtisch.JPG

 
Danke Bernd!

Allerdings habe ich dann das Problem, das zwar die 3D Objekte flach sind, aber der 2D Layer nicht da ist.
Im Prinzip bräuchte ich vllt einen Befehl, der die Volumenkörper einfach entfernt.
Im Anhang mal ein Waschtisch, im 2D sind die Flügeltüren aufgeklappt zu sehn, was fehlt, wenn man den Befehl ABFLACH anwendet.
Ach ja, die Volumenkörper liegen auf extra Layern um sie einfach ein- und auszublenden, z.B. 474_3D_Korpus und das 2D auf 474_2D

EDIT
@cadffm, das mit der Biblio klingt schon eher danach, den Aufwand mit dem Blöcken ist erstmal egal, hauptsache es geht mit dem Austauschen einfach^^
@kramer24, da muss ich mich mal reinfitzen^^ gibt es evtl i.wo eine Beschreibung wie man damit umgeht? ...der Katalog-Browser ist bei mir allerdings leer


[Diese Nachricht wurde von Domo91 am 28. Feb. 2014 editiert.]

[Diese Nachricht wurde von Domo91 am 28. Feb. 2014 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bbernd
Mitglied
Technischer Zeichner / Zimmerermeister


Sehen Sie sich das Profil von bbernd an!   Senden Sie eine Private Message an bbernd  Schreiben Sie einen Gästebucheintrag für bbernd

Beiträge: 1324
Registriert: 20.02.2009

AutoCAD -2020
Gimp 2.10
TurboCAD 17
DraftSight 2D
Windows7 Ent 64bit
16 GB Arbeitsspeicher
NVIDIA Quadro M2000

erstellt am: 28. Feb. 2014 11:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Domo91 10 Unities + Antwort hilfreich


flattenobjects.JPG

 
Hallo,

vielleicht Flatten aus den Express Tools, macht alles Platt was nicht Z=0 ist.

------------------
Gruß Bernd

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kramer24
Ehrenmitglied V.I.P. h.c.
Architekt


Sehen Sie sich das Profil von Kramer24 an!   Senden Sie eine Private Message an Kramer24  Schreiben Sie einen Gästebucheintrag für Kramer24

Beiträge: 5789
Registriert: 09.11.2001

erstellt am: 28. Feb. 2014 11:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Domo91 10 Unities + Antwort hilfreich

MV-Blöcke: Auch im DesignCenter zu finden.

Was ist denn "reinfitzen"? Ist das Ü18?
Es lohnt sich auf jeden Fall für die Zukunft. Als Erste Hilfe ist Bernds Vorschlag der bessere.

Lothar

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Domo91
Mitglied
Technische Zeichnerin

Sehen Sie sich das Profil von Domo91 an!   Senden Sie eine Private Message an Domo91  Schreiben Sie einen Gästebucheintrag für Domo91

Beiträge: 5
Registriert: 30.08.2012

AutoCAD Architecture 2012

erstellt am: 28. Feb. 2014 11:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Flatten macht entweder nix, oder löscht alles   Aber liegt alles auf Z=0

@Kramer24: reinfitzen ist sich damit auseinander zu setzen^^ also sozusagen ein Fitz aus Haaren (das komplizierte Thema) entwirren um es zu verstehen xD ist wohl ein sächsisches Wort 

[Diese Nachricht wurde von Domo91 am 28. Feb. 2014 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rexxitall
Mitglied
Dipl. -Ing. Bau


Sehen Sie sich das Profil von rexxitall an!   Senden Sie eine Private Message an rexxitall  Schreiben Sie einen Gästebucheintrag für rexxitall

Beiträge: 249
Registriert: 07.06.2013

erstellt am: 28. Feb. 2014 12:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Domo91 10 Unities + Antwort hilfreich

Hi ein alternativer ansatz mit vba
sofern die blocknamen eine eindeutige markierung aufweisen, ich habe hier mal die Zeichenkette "_3D" vorausgesetzt werden mit nachfolgender routine alle blockreferenzen und anschließend auch die blockdefinitionen gehimmelt.

Der umgekehrte Weg ist auch machbar sofern die Blockbibliothek organisiert aufgebaut ist. Hierzu ist allerdings etwas mehr aufwand vonnöten da die höheninformation den 2d blöcken in einer geeigneten form mitgegeben werden muss. Dann kann man auf knopfdruck sozusagen von 2d zu 3d wechseln und der Architek kann sogar ändern... (in 2d)

mfg
Thomas


Sub block_references_delete_all_3d
    Dim entity As AcadEntity

    on error resume next

    For Each entity In ThisDrawing.modelspace
        If LCASE(entity.ObjectName) = "acdbblockreference" Then
            If instr(entity.EffectiveName,"_3D") Then
                entity.Delete
            End If
        End If
    Next entity

    For Each entity In ThisDrawing.PaperSpace
        If LCASE(entity.ObjectName) = "acdbblockreference" Then
            If instr(entity.EffectiveName,"_3D") Then
                entity.Delete
            End If
        End If
    Next entity
    thisdrawing.purgeall

    On Error GoTo 0
End Sub

------------------
Wer es nicht versucht, hat schon verlorn 
Und bei 3 Typos gibts den vierten gratis !
<<< for sale !

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 28. Feb. 2014 12:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Domo91 10 Unities + Antwort hilfreich

@Rexxi
Erkläre doch noch wie die Blöcke/die Datei aufgebaut sein müssen damit dieser Kot Sinn ergibt (das kann nicht jeder herauslesen).
Zudem bitte noch ein Link zu einer Anleitung was mit den Zeilen geschehen soll,
denn du spamst nach wie vor ein Anwenderforum zu, das Programmierforum ist nebenan, danke.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Domo91
Mitglied
Technische Zeichnerin

Sehen Sie sich das Profil von Domo91 an!   Senden Sie eine Private Message an Domo91  Schreiben Sie einen Gästebucheintrag für Domo91

Beiträge: 5
Registriert: 30.08.2012

AutoCAD Architecture 2012

erstellt am: 28. Feb. 2014 13:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ja also eine Erklärung fänd ich nicht schlecht dazu^^ Außer das man glaube );_end of if einsetzen muss, weiß ich jetzt auch nicht.
So eine Routine wär natürlich ideal, aber ich kämpf wohl erstmal mit dem Erstellen einer Bibliothek. Bei den MV-Blöcken gerate ich schon beim Erstellen an meine Grenzen, da ich den Stil-Manager wohl nicht habe -.-'
Danke aber für die Antworten!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1137
Registriert: 11.01.2006

Win 10
ACAD 2019

erstellt am: 28. Feb. 2014 13:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Domo91 10 Unities + Antwort hilfreich

Hallo Sylvie,
im ACAD gibt's den Befehl laylösch bzw. _laydel.
Ich weis nicht obs den in  Architecture 2012 auch gibt, aber ein Script dass dir die 3D-Layer rauslöscht und dann wegbereinigt sollte nicht so schwierig sein.
Mehr macht du ja zu Fuß auch nicht.

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rexxitall
Mitglied
Dipl. -Ing. Bau


Sehen Sie sich das Profil von rexxitall an!   Senden Sie eine Private Message an rexxitall  Schreiben Sie einen Gästebucheintrag für rexxitall

Beiträge: 249
Registriert: 07.06.2013

erstellt am: 28. Feb. 2014 17:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Domo91 10 Unities + Antwort hilfreich

Vielen dank für die freundliche Antwort

1. VBA how to use Anleitungen MIT bildern gibt es zuhauf im Netz.
2. Wenn hier wer lispelt ists aber ok hier oder ?
(gehört dann aber auch ins Programmiererforum)

So kurz Gebrauchsanleitung 

Alt F11 (bei installiertem VBA)
links guggen rechte maustaste
modul einfügen
copy und paste code
entweder makro ausführen
oder im code einmal links reinklicken und mit f5 starten.

Die Blöcke müssen in dem Fall im BLOCKNAMEN irgendwo die Zeichenkette
_3D aufweisen. (Klappt auch bei dynamischen Blöcken)

Tisch_3D
Stuhl_3D_klein

Der Layer auf dem die liegen ist hierbei egal.
Ferner werden auch die Blockdefinitioenen entfernt um reverse engineering vorzubeugen

Thomas

------------------
Wer es nicht versucht, hat schon verlorn 
Und bei 3 Typos gibts den vierten gratis !
<<< for sale !

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 28. Feb. 2014 18:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Domo91 10 Unities + Antwort hilfreich

1. Ich weiß, andere nicht

2. Wie bereits öfters angesprochen wurde: Ob vb/a/net oder Lisp ist unerheblich, es geht darum WEM man das ( vermutlich ) postet.
( klar kann man mal daneben liegen, aber wenn du mal eine Nachlese betreibst..)

Dein Code hier würde dem armen User zunächst "alles was er hat" löschen, denn derzeit gibt es ja nur einen Block mit beiden Informationen, es gibt keine zwei übereinanderliegende Blöcke wovon einer gelöscht werden soll.
So ein Zeichnungsaufbau wäre ja auch nicht praktikabel, aber darum ging es mir ja auch nicht.
Eine 3D Referenz in seiner normalen Blockdef wäre schon besser, aber so ein Konstrukt müßte man ja auch erst mal erklären.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rexxitall
Mitglied
Dipl. -Ing. Bau


Sehen Sie sich das Profil von rexxitall an!   Senden Sie eine Private Message an rexxitall  Schreiben Sie einen Gästebucheintrag für rexxitall

Beiträge: 249
Registriert: 07.06.2013

erstellt am: 01. Mrz. 2014 16:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Domo91 10 Unities + Antwort hilfreich

Er löscht nur blöcke die im Namen "_3D" haben. Natürlich kann man anstelle des Zeichnungsbereiches auch durch alle Blockdefinitionen hecheln und dort die Referenzen so löschen. Aber das dürfte ein Profi ja wissen. Und praktikabel ist soetwas durchaus. Entweder per script vorher die 2d oder 3d blöcke automatisch einladen an den Einfügepunkten und dann löschen. Oder Blöcke erstellen die beide Informationen enthalten Block im Block und die dann einmal vor scriptlauf explodieren. Da fallen mir Unmengen an Ansätzen ein.
Und es sollte auch selbstverständlich sein das der  "arme" User alles was wir hier so von uns geben nicht an einer Zeichnung testet die in 5 Minuten zum Kunden raus mus sondern an einer Kopie. Vielleicht warten wir einfach mal ab was der Threadersteller so als Zusatzinfo so von sicht gibt bevor man sich hier in Grabenkämpfen verstrickt.

Der Ansatz Blöcke dynamisch auszutauschen hat wie schon vorher beschrieben ja auch den charmanten Vorteil das der Architekt an den 2d Blöcken rumstricken kann und man somit ja auch in der Lage wäre die 3d Version zu aktualisieren indem man einfach diese Bläcke gegen die 3D Pedants austauscht. Aber warten wir mal ab was der Threadersteller dazu so meint 

------------------
Wer es nicht versucht, hat schon verlorn 
Und bei 3 Typos gibts den vierten gratis !
<<< for sale !

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Domo91
Mitglied
Technische Zeichnerin

Sehen Sie sich das Profil von Domo91 an!   Senden Sie eine Private Message an Domo91  Schreiben Sie einen Gästebucheintrag für Domo91

Beiträge: 5
Registriert: 30.08.2012

AutoCAD Architecture 2012

erstellt am: 03. Mrz. 2014 08:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo!
Die Blöcke haben kein 3D im Namen, nur in den entsprechenden Layernamen.

Aber danke an Andreas! mit LAYDEL und dann der Auswahl welche Layer, funktioniert es prima  Vielen Dank!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rexxitall
Mitglied
Dipl. -Ing. Bau


Sehen Sie sich das Profil von rexxitall an!   Senden Sie eine Private Message an rexxitall  Schreiben Sie einen Gästebucheintrag für rexxitall

Beiträge: 249
Registriert: 07.06.2013

erstellt am: 03. Mrz. 2014 14:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Domo91 10 Unities + Antwort hilfreich

Nur der Vollständigkeit halber

Sub block_references_delete_all_3d
 
dim NEEDLE as string
NEEDLE="_3D"
Dim entity As AcadEntity 
on error resume next

    For Each entity In ThisDrawing.modelspace
        If LCASE(entity.ObjectName) = "acdbblockreference" Then
            If instr(ucase(entity.Layer),NEEDLE)>0  Then
                entity.Delete
            End If
        End If
    Next entity
thisdrawing.purgeall
end sub

Danach sind alle Blockreferenzen und Definitionen auf alle Layern die im LAYERnamen _3d oder "_3D" enthalten gelöscht Kann man in Zeile 3 ändern bei NEEDLE="_3D" dort zwischen die "" entsprechenden Suchtext angeben.

------------------
Wer es nicht versucht, hat schon verlorn 
Und bei 3 Typos gibts den vierten gratis !
<<< for sale !

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 03. Mrz. 2014 15:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Domo91 10 Unities + Antwort hilfreich

Nur der Vollständigkeit halber (auch wenn ich denke, dass das Ganze am Ursprungsthema vorbei ist und man sich eher um die Blockorganisation usw Gedanken machen sollte)

.. geht auch mit einer Zeile :

(if(setq A(ssget "_x" '((0 . "INSERT")(8 . "*3D"))))(mapcar '(lambda(X)(entdel(cadr X)))(ssnamex A)))


.. löscht alle (Toplevel)Blockreferenzen die auf einem Layer mit 3D am Ende liegen ...
SCNR

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz